package com.realnet.taxi_rental.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.taxi_rental.Entity.Custom_setting;
import com.realnet.taxi_rental.Services.Custom_settingService ;


















@RequestMapping(value = "/Custom_setting")
 @CrossOrigin("*") 
@RestController
public class Custom_settingController {
	@Autowired
	private Custom_settingService Service;

@Value("${projectPath}")
	private String projectPath;
 


















	@PostMapping("/Custom_setting")
		  public Custom_setting Savedata(@RequestBody Custom_setting data) {
		Custom_setting save = Service.Savedata(data)	;

















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Custom_setting/{id}")
	public  Custom_setting update(@RequestBody Custom_setting data,@PathVariable Integer id ) {
		Custom_setting update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Custom_setting/getall/page")
	public Page<Custom_setting> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Custom_setting> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Custom_setting")
	public List<Custom_setting> getdetails() {
		 List<Custom_setting> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Custom_setting")
	public List<Custom_setting> getallwioutsec() {
		 List<Custom_setting> get = Service.getdetails();		
		return get;
}
@GetMapping("/Custom_setting/{id}")
	public  Custom_setting  getdetailsbyId(@PathVariable Integer id ) {
		Custom_setting  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Custom_setting/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



















}